Bug 161185 - Dropped connections causes bash to hang on nss lookups
Summary: Dropped connections causes bash to hang on nss lookups
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nss_ldap   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 07:18 UTC by Enrico Scholz
Modified: 2008-02-17 02:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-17 02:56:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2005-06-21 07:18:19 UTC
Description of problem:

When having an LDAP server which drops connections after a certain timeout, bash
will hang at actions like 'cd ~foo<tab>'. At this time, a lot of connections like

| tcp 1  0 192.168.46.2:57752   192.168.46.137:389          CLOSE_WAIT

are shown by netstat.


Version-Release number of selected component (if applicable):

nss_ldap-234-4
bash-3.0-31


How reproducible:

100%


Steps to Reproduce:
1. setup NSS to use LDAP as passwd backend
2. setup the LDAP server to timeout after a certain time (e.g. 'idletimeout 900')
3. start a bash
4. type in 'cd ~foo' and press TAB
5. wait some time...
6. type in 'cd ~foo' and press TAB
  

Actual results:

bash hangs at step 6; 'strace' shows that it waits in a futex(2) syscalls.


Expected results:

bash expands 'foo' both in 4 and 6


Additional info:

nscd is NOT running; LDAP is not configured for TLS

Comment 1 Christian Iseli 2007-01-22 11:40:14 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 petrosyan 2008-02-17 02:56:24 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.